Bug 1047275 - SELinux is preventing /usr/lib64/xulrunner/plugin-container from 'open' accesses on the file /tmp/yannick-firefox-pov6ob9m.default/cert8.db.
Summary: SELinux is preventing /usr/lib64/xulrunner/plugin-container from 'open' acces...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:c67911fecc08db2ff0578b492b8...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-30 09:48 UTC by Yannick Defais
Modified: 2017-07-24 11:46 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 13:56:40 UTC
Type: ---


Attachments (Terms of Use)

Description Yannick Defais 2013-12-30 09:48:08 UTC
Description of problem:
Hi,

Since I've put firefox profil/cache into RAM (using this script : su -c 'yum install profile-sync-daemon' ), I've sometimes this SELinux alert from different web site.

I suspect, since Firefox profil is now on /tmp, it conflicts some SELinux policy.
SELinux is preventing /usr/lib64/xulrunner/plugin-container from 'open' accesses on the file /tmp/yannick-firefox-pov6ob9m.default/cert8.db.

*****  Plugin mozplugger (99.1 confidence) suggests   ************************

If vous voulez utiliser le paquet plugin
Then vous devez désactiver les contrôles SELinux sur les extensions Firefox.
Do
# setsebool -P unconfined_mozilla_plugin_transition 0

*****  Plugin catchall (1.81 confidence) suggests   **************************

If vous pensez que plugin-container devrait être autorisé à accéder open sur cert8.db file par défaut.
Then vous devriez rapporter ceci en tant qu'anomalie.
Vous pouvez générer un module de stratégie local pour autoriser cet accès.
Do
autoriser cet accès pour le moment en exécutant :
# grep plugin-containe /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
                              0.c1023
Target Context                system_u:object_r:rsync_tmp_t:s0
Target Objects                /tmp/yannick-firefox-pov6ob9m.default/cert8.db [
                              file ]
Source                        plugin-containe
Source Path                   /usr/lib64/xulrunner/plugin-container
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           xulrunner-26.0-2.fc20.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-106.fc20.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.12.5-302.fc20.x86_64 #1 SMP Tue
                              Dec 17 20:42:32 UTC 2013 x86_64 x86_64
Alert Count                   8
First Seen                    2013-12-29 22:21:03 CET
Last Seen                     2013-12-30 10:37:51 CET
Local ID                      d27b8c2c-afcd-4666-b315-2605c890bab5

Raw Audit Messages
type=AVC msg=audit(1388396271.173:554): avc:  denied  { open } for  pid=2759 comm="plugin-containe" path="/tmp/yannick-firefox-pov6ob9m.default/cert8.db" dev="tmpfs" ino=19243 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=system_u:object_r:rsync_tmp_t:s0 tclass=file


type=SYSCALL msg=audit(1388396271.173:554): arch=x86_64 syscall=open success=no exit=EACCES a0=7f25b3d2fec0 a1=0 a2=180 a3=702f786f66657269 items=0 ppid=2229 pid=2759 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 ses=1 tty=(none) comm=plugin-containe exe=/usr/lib64/xulrunner/plugin-container subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)

Hash: plugin-containe,mozilla_plugin_t,rsync_tmp_t,file,open

Additional info:
reporter:       libreport-2.1.10
hashmarkername: setroubleshoot
kernel:         3.12.5-302.fc20.x86_64
type:           libreport

Comment 1 Daniel Walsh 2014-01-02 22:29:38 UTC
This looks like you are using rsync to copy a cert file to the /tmp directory?  If you labeled this cert_t

chcon -t cert_t /tmp/yannick-firefox-pov6ob9m.default/cert8.db

It should work fine.

Why are you putting this in flash?

Comment 2 Fedora End Of Life 2015-05-29 10:14:04 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2015-06-29 13:56:40 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.